File: changelog

package info (click to toggle)
libgpuarray 0.7.6-3
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 2,552 kB
  • sloc: ansic: 19,235; python: 4,621; makefile: 219; sh: 9
file content (118 lines) | stat: -rw-r--r-- 4,535 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
libgpuarray (0.7.6-3) unstable; urgency=medium

  * tests: add missing MPI dependency.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 08 Feb 2019 22:08:33 +0000

libgpuarray (0.7.6-2) unstable; urgency=medium

  * Mark tests skip-not-installable.
  * tests: remove no longer needed #919824 workaround,
    and add one for #877316.
  * Upload to unstable.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 07 Feb 2019 20:06:05 +0000

libgpuarray (0.7.6-1) experimental; urgency=medium

  * New upstream release.  (Closes: #901487)
  * Upload to experimental, as this is a soname change (but was
    ruled not a transition, i.e. not currently frozen, in #919022).
  * Drop patch applied upstream.
  * Rebuild generated *.h.c.
  * More user-friendly error when double precision is not available,
    and treat this as a skip not a fail in tests.
  * Fix lru_cache corruption exception.
  * Fix stack smashing crash in *gemmBatch.
  * Update copyright year.
  * Include the BLAS and mpi4py tests in autopkgtest,
    and apply workarounds for #919824 and #920497.
  * tests: enable verbose output, don't run the same tests twice.
  * Fix typo in error message.
  * Fix bug in BLAS error reporting.
  * Fail tril/triu of doubles instead of returning nonsense.
  * Fix intermittent test_dot failure.
  * Remove build path from assert messages (for reproducibility).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 29 Jan 2019 19:38:23 +0000

libgpuarray (0.6.9-3) unstable; urgency=medium

  * Add myself to Uploaders.
  * Fix FTBFS when building only arch:all.  (Closes: #901111)
  * Make python3-pygpu-dbg depend on Python 3, not 2.
    Thanks to Adrian Bunk  (Closes: #906100)
  * Use to-nearest-even rounding in half precision operations.
  * Fix crash in extract_triu/l.
  * Skip CUDA-only tests on OpenCL.  (Closes: #870128)
  * Update Vcs-* for move to Salsa.
  * Stop using priority extra to comply with Standards-Version 4.3.0.
  * Depend or Recommend the libraries we try to dlopen().
  * Set Rules-Requires-Root: no.
  * Fix spelling in documentation and error messages.
  * Update d/copyright.
  * Rebuild generated C files.
  * Add d/upstream/metadata.
  * Bump debhelper compat to 11, and update doc-base links.
  * Fix clGetDeviceInfo exception on 32 bit architectures.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 15 Jan 2019 22:18:47 +0000

libgpuarray (0.6.9-2) unstable; urgency=medium

  * Fix empty section in documentation
    - Set LD_LIBRARY_PATH before building the docs
    - Add missing build dependency on python3-mako
    Thanks to Daniel Stender for reporting (Closes: #869786)
  * Add autopkgtest suite with pocl

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 26 Jul 2017 21:25:20 +0100

libgpuarray (0.6.9-1) unstable; urgency=medium

  * Add versioned dependency to cython.
    Thanks to Aaron M. Ucko (Closes: #868991)
  * New upstream version 0.6.9 (Closes: #868877)
  * Build extension modules before the docs
  * Normalize the preamble of the rules file

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 26 Jul 2017 00:03:54 +0100

libgpuarray (0.6.8-1) unstable; urgency=medium

  * Upgrade watch file to version 4
  * Update the gbp configuration
  * New upstream version 0.6.8 (Closes: #858401)
  * Drop the patch queue, no longer required
  * Run cme fix on control file
    - Wrap and sort fields and dependencies
    - Bump standards version to 4.0.0
  * Run cme fix on copyright file
    - Use secure Format URI
    - Sort the copyright sections
    - Normalize the license paragraphs
  * Bump debhelper to version 10
  * Bump soversion to 2
  * Use pybuild as default build system
  * Clean the generated version file
  * Normalize the package descriptions
  * Run dh_numpy within dh_python overrides
  * Provide debug packages for Python
  * Provide a documentation package
  * Update build and install dependencies
    - Drop libclblas-dev and opencl-dev from Build-Depends, not required
    - Drop nose from Recommends, not required
  * Filter egg-info dir using extend-diff-ignore
  * Use the default Python autopkgtest suite
  * Adopt the package
    - Transfer maintenance to the Debian Science Team
    - Add myself to Uploaders
    - Add myself to copyright (Closes: #852137)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 17 Jul 2017 10:02:36 +0100

libgpuarray (0.0+git160929.29ce960-1) experimental; urgency=medium

  * Initial release (Closes: #819012).

 -- Daniel Stender <stender@debian.org>  Mon, 03 Oct 2016 15:11:12 +0200